Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.server
Class RMIConnectorService

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.jmx.server.RMIConnectorService

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, RMIConnectorServiceMBean, Service, ServiceMBean

public class RMIConnectorService
extends ServiceMBeanSupport
implements RMIConnectorServiceMBean

Author:
  Rickard Öberg (rickard.oberg@telkel.com), Andreas "Mad" Schaefer

Field Summary
`static java.lang.String` | `JMX_NAME`
`static java.lang.String` | `JNDI_NAME`
`static java.lang.String` | `PROTOCOL_NAME`

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.jmx.server.RMIConnectorServiceMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`RMIConnectorService()`
`RMIConnectorService(java.lang.String name)`

Method Summary
`java.lang.String` | `getJNDIName()`
`java.lang.String` | `getName()`
`javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)`
`protected void` | `initService()`
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getServer, getState, getStateString, init, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### JNDI_NAME

    public static java.lang.String JNDI_NAME

### JMX_NAME

    public static java.lang.String JMX_NAME

### PROTOCOL_NAME

    public static java.lang.String PROTOCOL_NAME

Constructor Detail

### RMIConnectorService

    public RMIConnectorService()

### RMIConnectorService

    public RMIConnectorService(java.lang.String name)

Method Detail

### getObjectName

    public javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                     javax.management.ObjectName name)
                                              throws javax.management.MalformedObjectNameException

  Overrides:
    `getObjectName` in class `ServiceMBeanSupport`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`

### getJNDIName

    public java.lang.String getJNDIName()

  Specified by:
    `getJNDIName` in interface `RMIConnectorServiceMBean`

### initService

    protected void initService()
                        throws java.lang.Exception

  Overrides:
    `initService` in class `ServiceMBeanSupport`

### startService

    protected void startService()
                         throws java.lang.Exception

  Overrides:
    `startService` in class `ServiceMBeanSupport`

### stopService

    protected void stopService()

  Overrides:
    `stopService` in class `ServiceMBeanSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.